// $Id: pausemenu.h,v 1.2 2007/02/25 13:34:56 matthew Exp $

//  Fish Supper
//  Copyright (C) 2006 Matthew Clarke <matthew_larcke@lycos.co.uk>
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
//  02111-1307, USA.




#ifndef _PAUSE_MENU_H_
#define _PAUSE_MENU_H_




#include "enums.h"




namespace FS
{
    
class PauseMenu
{
    public:
            
        enum PauseMenuSelection { PMS_NONE, PMS_CONTINUE, PMS_QUIT };
    
    private:
            
        PauseMenuSelection current_selection;
        
        //SDL_Rect menu_rect;
        
    public:
            
        PauseMenu();
        ~PauseMenu();
        
        void reset();
        PauseMenuSelection update(KeyboardEvent * events, int n);
        ImageIDs get_image_id();
        
}; // class PauseMenu
    
} // namespace FS




#endif

